package com.red.circle.other.app.util;

import com.red.circle.other.inner.model.dto.user.UserProfileDTO;
import com.red.circle.tool.core.collection.MapBuilder;

import java.util.Map;

public class OfficialNoticeUtils {

  public static Map<Object, Object> buildUserProfile(UserProfileDTO userProfile) {
    return MapBuilder.builder()
        .put("userNickname", userProfile.getUserNickname())
        .put("account", userProfile.getAccount())
        .put("actualAccount", userProfile.actualAccount())
        .put("userAvatar", userProfile.getUserAvatar())
        .put("countryCode", userProfile.getCountryCode())
        .put("countryName", userProfile.getCountryName())
        .build();
  }

}
